<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}
?>

<?php
	
$document->addCustomTag('
<style type="text/css">
#waterwheel-carousel-'.$ext_id.' {
	width: '.$ext_width_block.'px;
	height: '.$ext_height_block.'px;
}
</style>');
?>


<script type="text/javascript">
jQuery(document).ready(function () {
  jQuery("#waterwheel-carousel-<?php echo $ext_id; ?>").waterwheelCarousel({
	// number tweeks to change apperance
	startingItem: 			 <?php echo $ext_starting_item; ?>, 				// item to place in the center of the carousel. Set to 0 for auto
	separation: 			 <?php echo $ext_separation; ?>, 					// distance between items in carousel
	separationMultiplier: 	 <?php echo $ext_separation_multiplier; ?>, 		// multipled by separation distance to increase/decrease distance for each additional item
	horizonOffset:			 <?php echo $ext_horizon_offset; ?>,				// offset each item from the "horizon" by this amount (causes arching)
	horizonOffsetMultiplier: <?php echo $ext_horizon_offset_multiplier; ?>, 	// multipled by horizon offset to increase/decrease offset for each additional item
	sizeMultiplier: 		 <?php echo $ext_size_multiplier; ?>, 				// determines how drastically the size of each item changes
	opacityMultiplier: 		 <?php echo $ext_opacity_multiplier; ?>, 			// determines how drastically the opacity of each item changes
	horizon:				 <?php echo $ext_horizon; ?>, 						// how "far in" the horizontal/vertical horizon should be set from the container wall. 0 for auto
	flankingItems:			 <?php echo $ext_flanking_items; ?>, 				// the number of items visible on either side of the center   
	
	// animation
	speed:					<?php echo $ext_speed; ?>,							// speed in milliseconds it will take to rotate from one to the next
	animationEasing: 		'<?php echo $ext_easing; ?>',						// the easing effect to use when animating
	quickerForFurther:		<?php echo $ext_quicker_for_further; ?>,			// set to true to make animations faster when clicking an item that is far away from the center
    edgeFadeEnabled: 		<?php echo $ext_edge_fade_enabled; ?>,			 	// when true, items fade off into nothingness when reaching the edge. false to have them move behind the center image
    autoPlay:               <?php echo $ext_auto_play; ?>,            			// indicate the speed in milliseconds to wait before autorotating. 0 to turn off. Can be negative
    orientation:            '<?php echo $ext_orientation; ?>'      				// indicate if the carousel should be 'horizontal' or 'vertical'
  });
});
</script>

<div class="mod_eco_waterwheel_carousel_phoca_galler <?php echo $moduleclass_sfx ?>">	
	<div id="waterwheel-carousel-<?php echo $ext_id; ?>" class="waterwheel-carousel">
		<ul>		
			<?php	
			foreach ($images as $k => $v) {
				$thumbLink	= PhocaGalleryFileThumbnail::getThumbnailName($v->filename, 'large');
				echo '<li><a href="#"><img src="'.JURI::base(true).'/'.$thumbLink->rel.'" alt="'.htmlspecialchars($v->title).'" width="'.$ext_width.'px" height="'.$ext_height.'px" /></a></li>';			
			}	
			?>		
		</ul>	
	</div>
	<div style="clear:both;"></div>
</div>